=== kernel/linux/dcdbas/2.6.13/Makefile ===
# vim:noet:ts=8:sw=8:filetype=make:

ifneq ($(KERNELRELEASE),)
obj-m := dcdbas.o

else

KDIR := /lib/modules/$(shell uname -r)/build
PWD     := $(shell pwd)
default:
	$(MAKE) -C $(KDIR) M=$(PWD)

endif
