=== kernel/linux/dell_rbu/2.6.12_and_earlier/Makefile ===
# vim:noet:ts=8:sw=8:filetype=make:

ifneq ($(KERNELRELEASE),)
obj-m := dell_rbu.o

else

KDIR := /lib/modules/$(shell uname -r)/build
PWD     := $(shell pwd)
default:
	$(MAKE) -C $(KDIR) M=$(PWD)

endif
