## libsmbios 0.12.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 # This is a standard non-recursive make system.
 #
 
-  RELEASE_NAME := libsmbios
   include version.mk
   RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -32,21 +31,21 @@
 #Standard Compiler Flags  
 	# To pass in extra args to CFLAGS, CXXFLAGS, or LDFLAGS, use the EXTRA_* 
 	# versions from make's command line (see below)
-  CXXFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE
+  CXXFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE 
   CFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -Wbad-function-cast -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE
   LDFLAGS += -Llib/ $(EXTRA_LDFLAGS)
 
 WARNINGS=-Wpointer-arith -Wfloat-equal -Wcast-qual -Wcast-align -Wwrite-strings -Wredundant-decls -Winline 
-WARNINGS_CXX=-Wabi -Wctor-dtor-privacy -Wnon-virtual-dtor  -Wreorder -Woverloaded-virtual -Wsign-promo  -Wsynth 
-# useful, but cannot enable all the time due to excessive warnings. 
-#-Wold-style-cast -pedantic
-# would like to enable, but cannot.
+WARNINGS_CXX=-Wabi -Wctor-dtor-privacy -Wnon-virtual-dtor  -Wreorder -Woverloaded-virtual -Wsign-promo  -Wsynth -Wold-style-cast
+# Would like to enable, but too many stupid warnings. (comma at end of enumerator list, anonymous structs
+# -pedantic
+# would like to enable, but cannot (too many warnings in system headers.).
 #-Weffc++ 
 NO_WARN=-Wno-long-long -Wno-inline
 
 #Standard include locations
-  CXXFLAGS += -Iinclude/ -Llib/ $(EXTRA_CXXFLAGS) $(WARNINGS) $(WARNINGS_CXX) $(NO_WARN) -O2
-  CFLAGS += -Iinclude/ -Llib/ $(EXTRA_CFLAGS) $(WARNINGS) $(NO_WARN) -O2
+  CXXFLAGS += -Ilibraries/common/ -Iinclude/ -Llib/ $(EXTRA_CXXFLAGS) $(WARNINGS) $(WARNINGS_CXX) $(NO_WARN) -O2
+  CFLAGS += -Ilibraries/common/ -Iinclude/ -Llib/ $(EXTRA_CFLAGS) $(WARNINGS) $(NO_WARN) -O2
 
 #Release history:
 # 0.1.0 == 22 Dec 2001 initial import into CVS.
@@ -69,7 +68,7 @@
   CLEAN_LIST := 
   CLEAN_DEPS :=
 
-  DISTCLEAN_LIST :=  config.mk
+  DISTCLEAN_LIST :=
   DISTCLEAN_DEPS :=
 
   ALL_DEPS :=
@@ -94,9 +93,6 @@
 
   dir:=cppunit
   include cppunit/module.mk
-
-  dir:=kernel
-  include kernel/module.mk
 
   dir:=doc
   include doc/module.mk
@@ -141,16 +137,32 @@
 	$(SIL)[ ! -e $(RELEASE_STRING).tar.bz2 ] || rm -rf $(RELEASE_STRING).tar.bz2
 	$(SIL)[ ! -e $(RELEASE_STRING).zip ] || rm -rf $(RELEASE_STRING).zip
 	find . -depth | grep -v ^./$(RELEASE_STRING) | grep -v ^rpm/ | cpio -pdm $(RELEASE_STRING) 
+	rm -f $(RELEASE_STRING)/include/smbios/version.h
+	$(SIL)make -s -C $(RELEASE_STRING) include/smbios/version.h
 	$(SIL)make -s -C $(RELEASE_STRING) libsmbios.spec
-	$(SIL)make -s -C $(RELEASE_STRING) libraries/smbiosxml/StdSmbiosXml.h
-	$(SIL)mv $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h-save
+	$(SIL)make -s -C $(RELEASE_STRING) libraries/common/StdSmbiosXml.h
+	$(SIL)mv $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h-save
 	$(SIL)make -s -C $(RELEASE_STRING) distclean
-	$(SIL)mv $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h-save $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h
+	$(SIL)mv $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h-save $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h
 	$(SIL)find $(RELEASE_STRING) -name \*.d -exec rm {} \;
 	tar cjf $(RELEASE_STRING).tar.bz2 $(RELEASE_STRING)
 	zip -r $(RELEASE_STRING).zip $(RELEASE_STRING)
 	$(SIL)rm -rf $(RELEASE_STRING)/
 
+  rpm: tarball
+	BLD_DIR=$$(mktemp -d /tmp/rpmbuild-$$$$-XXXXXX); \
+	mkdir -p $$BLD_DIR/SOURCES $$BLD_DIR/BUILD $$BLD_DIR/RPMS $$BLD_DIR/RPMS/i386 $$BLD_DIR/RPMS/noarch $$BLD_DIR/SRPMS $$BLD_DIR/SPECS ;\
+	rpmbuild --define "_topdir $$BLD_DIR" -ta $(RELEASE_STRING).tar.bz2  ;\
+	cp $$BLD_DIR/RPMS/*/*rpm .	;\
+	cp $$BLD_DIR/SRPMS/*rpm .	;\
+	rm -rf $$BLD_DIR
+
+  srpm: tarball
+	BLD_DIR=$$(mktemp -d /tmp/rpmbuild-$$$$-XXXXXX); \
+	mkdir -p $$BLD_DIR/SOURCES $$BLD_DIR/BUILD $$BLD_DIR/RPMS $$BLD_DIR/RPMS/i386 $$BLD_DIR/RPMS/noarch $$BLD_DIR/SRPMS $$BLD_DIR/SPECS ;\
+	rpmbuild --define "_topdir $$BLD_DIR" -ts --nodeps $(RELEASE_STRING).tar.bz2  ;\
+	cp $$BLD_DIR/SRPMS/*rpm .	;\
+	rm -rf $$BLD_DIR
 
   CLEAN_LIST += $(RELEASE_NAME)*.rpm
   CLEAN_LIST += $(RELEASE_STRING).tar.bz2
@@ -158,6 +170,7 @@
   CLEAN_LIST += $(shell find . -name .\#\* )
   CLEAN_LIST += $(shell find . -name core )
   CLEAN_LIST += $(shell find . -name .\*.swp )
+  CLEAN_LIST += $(shell find . -name \*.pyc )
   CLEAN_LIST += testResults.xml
   CLEAN_LIST += tmp/
   CLEAN_LIST += rpm/
