## libsmbios 2.2.28

=== debian/changelog ===
libsmbios (2.2.28-1~exp1) experimental; urgency=low

  * New upstream release.  (Closes: #607725)
  * Apply Jari Aalto's patch to update packaging.  (Closes: #664393)
    - Remove deprecated dpatch and upgrade to packaging format 3.0 quilt.
    - Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Sync up package with Ubuntu 2.2.28
    - libsmbios-bin is now smbios-utils
    - python-libsmbios (python bindings) binary package is new
    - remove 01-gcc-4.4-fixes patch
  * Move cli.py from smbios-utils to python-smbios/examples
  * Change section of libsmbios-doc from libs to doc
  * Change section of python-smbios from admin to python
  * Add Vcs-Git and Vcs-Browser fields to d/control.
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Wed, 26 Dec 2012 22:31:08 -0800

libsmbios (2.0.3.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compilation with GCC 4.4, thanks to Martin Michlmayr for the
    patch.  (Closes: #505589)

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Aug 2010 16:28:25 +0200

libsmbios (2.0.3.dfsg-1) unstable; urgency=low

  [ Jose Luis Tallon ]
  * New upstream version (Closes: #494316)
    - merged enhancements from Ubuntu (thanks, guys)

  * debian/control:
    - Drop build depend on libxml2, xml packages since they are no longer
    supported upstream
    - Build libsmbios2 packages (soname bump)
    - Add dpatch to build-depends
    - Enable building on lpia (Closes: #488278)

  * debian/rules:
    - Add dpatch support
    - Don't clean up ltmain.sh, config.sub, or config.guess
      as they are shipped in the upstream tarball (Closes: #491795)

  * Additions:
    - removed (lib)smbiosxml.pc; it isn't needed anymore

  [ Loic Minier ]
  * Add empty dpatch 00list.
  * Add myself as Uploader.
  * Wrap build-deps and deps.
  * Drop useless debian/*.dirs.
  * Cleanup rules; drop useless vars, commented out sample constructs etc.
  * Pass -s to dh_* in binary-arch; call dh_testroot, and dh_install*,
    _compress, _fixperms, _installdeb, _gencontrol, _md5sums, _builddeb in
    binary-indep (with -i).
  * Drop useless dh_installdirs, dh_installexamples and dh_link calls.
  * Actually pass CFLAGS to ./configure; set LDFLAGS in the same way.
  * Prepend -z defs to LDFLAGS for safety with --as-needed.
  * Move configure flags to their own var, configure_flags.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Honor distclean exit status.
  * Drop configure from .PHONY, no such target.
  * Add patch and unpatch to .PHONY as dpatch.make doesn't do so.
  * Drop debian/README.Debian which only has a description of the packages and
    still listed libsmbiosxml.
  * Cleanup watch file.
  * Drop maintainer scripts which were mostly unused except for a manual
    ldconfig call which is handled by debhelper anyway.
  * Drop --disable-rpath configure flag; doesn't seem to be supported.
  * Drop duplicate dh_installman call and move man page symlinks to
    binary-arch.
  * Refactor man page symlinks shell snippet.
  * Drop useless debian/libsmbios-bin.docs.
  * Cleanup debian/Makefile.
  * Fix watch file.
  * Cleanup debian/*.install files.
  * Add ${shlibs:Depends} and ${misc:Depends} to libsmbios-dev.
  * Don't fixup the perms or include/smbios; these should be fixed on the
    package's dirs and dh_fixperms will fix them anyway.
  * Let config.status depend on $(DPATCH_STAMPFN) instead of build depending
    on patch-stamp.
  * Bump up debhelper compat level to 5; build-dep on >= 5.
  * Disable manpage and symlinks for now; closes: #394898.
  * Build-dep on chpath and chrpath -d binaries in usr/sbin after install to
    drop the RPATHes on the binaries (usually caused by a broken upstream
    libtool).
  * Do update build/config.guess and build/config.sub; this is safe and
    actually recommended; see autotools-dev README.Debian for rationale;
    ideally, we'd also save and restore upstream's files to keep a minimum
    Debian .diff, but this isn't too nice with the dpatch include.
  * Drop now useless libtool bdep.
  * Mention full download address in copyright.
  * Redo copyright and stop installing COPYING-OSL; do some copyright holders
    research aside of the upstream's COPYING information.
  * Don't ship README which only has licensing and build/install information.
  * Stop shipping obsolete TODO.
  * Jump on the SONAME package renaming train to stop shipping *.la files.
  * Fix snippet to avoid shipping boost_LICENSE_1_0_txt in libsmbios-dev.
  * Run testsuite after build unless nocheck is set in DEB_BUILD_OPTIONS.
  * Remove build-stamp in clean.
  * Strip binary blobs from the tarball (hence use a .dfsg version suffix) as
    the upstream tarball includes binary blobs in cppunit/platform/ which are
    memory dumps including a proprietary BIOS; document this in copyright;
    NB: upstream was contacted and will reply ASAP.  Comment out testsuite as
    a result.  Update watch file to mangle version number appropriately.

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed,  1 Oct 2008 1:15:56 +0200

libsmbios (0.13.13-1) unstable; urgency=low

  * Fixed FTBFS with gcc4.3 *again* (Closes: 455641)
    - Thanks to Cyril Brulebois for providing the patch

  * Added missing additional README files (Closes: #443723)


 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 07 Mar 2008 23:40:37 +0100

libsmbios (0.13.10-2) unstable; urgency=low

  * Fixed FTBFS with gcc4.3 *again* (Closes: 455641)
    - Thanks to Cyril Brulebois for providing the patch

  * Added missing additional README files (Closes: #443723)

  * Kudos to Julien Blache for his support and sponsoring

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun,  7 Sep 2007 23:46:42 +0200

libsmbios (0.13.10-1) unstable; urgency=low

  * New upstream version (Closes: #441288)

  * Build process fixes/enhancements
    - Fixed debian/control to be binNMU-safe

