## libsmbios 2.3.0

=== debian/changelog ===
libsmbios (2.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream version

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 10 Mar 2016 03:52:33 -0600

libsmbios (2.2.28-2ubuntu2) xenial; urgency=medium

  * Install pkg-config files in libsmbios-dev.
  * Don't display a warning when compiling on newer compilers.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 29 Feb 2016 16:43:09 -0600

libsmbios (2.2.28-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 08:08:30 +0000

libsmbios (2.2.28-2) unstable; urgency=low

  * cli.py should in fact be part of python-smbios
    (Closes: LP: #1185871)
  * Fix FTBFS problems on sid:
    - Add patch to disable dist-lzma for automake.
    - Add --install argument to autoreconf during build.
    - Add autopoint to build-depends.
  * Bump Standards-Version to 3.9.4.
  * Remove extraneous LICENSE file from libsmbios-doc.

 -- tony mancill <tmancill@debian.org>  Thu, 30 May 2013 22:16:44 -0700

libsmbios (2.2.28-1) unstable; urgency=low

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2013 20:51:06 -0700
