=== debian/watch ===
version=3
http://linux.dell.com/libsmbios/download/libsmbios/libsmbios-([0-9.]+)/libsmbios-([0-9.]+)\.tar.gz
