## libsmbios 2.3.1

=== debian/changelog ===
libsmbios (2.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Sync with Ubuntu 2.3.1-0ubuntu1.
    - With thanks to Mario Limonciello <mario.limonciello@dell.com>
  * Adds libsmbios 3.0 support (LP: #1630480)
  * Update debian/watch for moving to github.
  * debian/patches:
    - Drop, unnecessary with new version.
  * Bump Standards-Version to 3.9.8.
  * Use HTTPS URLs for Vcs links.
  * Drop lpia from Arch list.

 -- tony mancill <tmancill@debian.org>  Sun, 09 Oct 2016 14:21:11 -0700

libsmbios (2.3.0-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Add debian/control: Homepage field

  [ tony mancill ]
  * New upstream release.
    - Address warnings when compiling with newer versions of gcc.
      (Closes: #816331)
  * Include pkgconfig files in libsmbios-dev
    - Thanks to Mario Limonciello (Closes: #816330)
  * Drop am_disable_lzma.patch.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Apr 2016 19:00:59 -0700
