=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: libsmbios
 Priority: optional
+Section: libs
 Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
 Uploaders: Loic Minier <lool@dooz.org>, tony mancill <tmancill@debian.org>
-Vcs-Git: git://git.debian.org/git/collab-maint/libsmbios.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libsmbios.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsmbios.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libsmbios.git
+Homepage: https://github.com/dell/libsmbios/
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                libcppunit-dev,
@@ -15,13 +17,12 @@
                pkg-config,
                autoconf,
                automake,
-               libtool
-Standards-Version: 3.9.3
-Section: libs
+               libtool,
+               autopoint
+Standards-Version: 3.9.8
 
 Package: libsmbios2
-Section: libs
-Architecture: i386 amd64 ia64 lpia
+Architecture: i386 amd64 ia64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: libsmbios-doc
@@ -85,9 +86,9 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsmbios2
 Breaks: ${python:Breaks}
 Suggests: libsmbios-doc
-Description: Provide access to (SM)BIOS information -- python libraries
+Description: Provide access to (SM)BIOS information -- Python libraries
  libsmbios aims towards providing access to as much BIOS information as
- possible. This package provides python functions that can be imported
+ possible. This package provides Python functions that can be imported
  into userspace programs.
 
 Package: libsmbios-doc
