=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_testdir
 	[ ! -e build/config.sub ] || cp -f /usr/share/misc/config.sub build
 	[ ! -e build/config.guess ] || cp -f /usr/share/misc/config.guess build
-	autoreconf -vf
+	autoreconf --verbose --force --install
 	./configure \
 		CFLAGS="$(CFLAGS)"  LDFLAGS="$(LDFLAGS)" \
 		$(configure_flags)
@@ -62,6 +62,7 @@
 	dh_installexamples -i
 	dh_installdocs -i
 	dh_install -i
+	$(RM) -vf debian/libsmbios-doc/usr/share/doc/libsmbios-doc/getopt/LICENSE
 	dh_python2
 	dh_compress -i
 	dh_fixperms -i
@@ -79,7 +80,8 @@
 	$(RM) -vf debian/libsmbios-dev/usr/include/smbios/config/boost_LICENSE_1_0_txt
 	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.pyc
 	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.pyo
-	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.py
+	#$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.py
+	dh_python2
 	dh_installman -s
 # manpage currently disabled, see #394898
 #	cd $(CURDIR)/debian/libsmbios-bin; for f in usr/sbin/*; do \
