=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fwupd-$1\.tar\.gz/ \
https://github.com/dell/libsmbios/tags .*/v?(\d\S*)\.tar\.gz
