## libsmbios 2.4.1

=== debian/changelog ===
libsmbios (2.4.1-1) unstable; urgency=medium

  * New upstream microversion.
    - Better compatbility with help2man
    - Fixes some issues found with new gcc.
  * debian: cleanup old conffile (Closes: #890064)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 14 Feb 2018 14:04:18 -0600

libsmbios (2.4.0-1) unstable; urgency=medium

  * New upstream version.
    - Fixes crashes in smbios-get-ut-data with inappropriate permissions
      (Closes: #777212)
    - Fixes crashes with SMBIOS 3.0 tables (LP: #1744782)
    - Fix location of cli.py installation (Closes: #701136)
    - No longer installs sh script with bashisms (Closes: #772330)
    - Drops unsupported RBU based flashing (Closes: #496546)
    - Fixes improper function definition (Closes: #748243)
    - Generate man pages with help2man (Closes: #748023)
  * No longer build deprecated C++ library.
    - No longer installs broken dellMediaDirectCtl (Closes: #715812)
  * debian/control:
    - Drop ia64 (Closes: #554582)
    - Update VCS
    - Add Debian EFI as team owner
    - Add Mario to uploaders list (Closes: #838078)
    - Add python3 packages
    - Drop python2 packages
    - Add python3 build-depends
    - Drop cppunit build-depends
    - Depend on libjs-jquery for libsmbios-doc
    - Rename libsmbios2 -> libsmbios-c2
      Provides/Conflicts/Replaces to make a good transition both for
      Debian & Ubuntu.
    - Build depends on help2man.
  * debian/copyright:
    - Fix long lines (Closes: #803607, #803608, #803609)
    - Remove references to C++ stuff
  * debian/rules:
    - Switch to new debhelper format
    - Enable hardening flags
  * debian/smbios-utils.links:
    - Drop reference to old rbu flash tool.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 06 Feb 2018 12:40:46 -0600
