## libsmbios 2.4.3

=== debian/changelog ===
libsmbios (2.4.3-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Fix day-of-week for changelog entries 0.13.10-2, 0.13.10-1.
  * Fix up unittest failure causing FTBFS. Closes: #1092525

 -- Steve McIntyre <93sam@debian.org>  Thu, 06 Mar 2025 10:57:19 +0000

libsmbios (2.4.3-1) unstable; urgency=medium

  * New upstream version (2.4.3)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 31 Jan 2020 19:58:02 -0600
