=== debian/control ===
Source: libsmbios
Priority: optional
Section: libs
Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
Uploaders: tony mancill <tmancill@debian.org>, Mario Limonciello <mario.limonciello@dell.com>, Jose Luis Tallon <jltallon@adv-solutions.net>, Steve McIntyre <93sam@debian.org>
Vcs-Git: https://salsa.debian.org/efi-team/libsmbios.git
Vcs-Browser: https://salsa.debian.org/efi-team/libsmbios
Homepage: https://github.com/dell/libsmbios/
Build-Depends: debhelper-compat (= 12),
               dh-python,
               doxygen,
               graphviz,
               python3,
               libxml2-dev,
               pkg-config,
               autoconf,
               automake,
               libtool,
               help2man,
               autopoint
Standards-Version: 4.5.0

Package: libsmbios-c2
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libsmbios-doc
Provides: libsmbios2v5 (=2.3.1-0ubuntu2), libsmbios2 (=2.3.1-1)
Conflicts: libsmbios2v5, libsmbios2
Replaces: libsmbios2v5, libsmbios2
Description: Provide access to (SM)BIOS information -- dynamic library
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be used
 as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken
 BIOS tables is provided. Currently, full access to the SMBIOS table and its
 items is implemented. Additionally, access and manipulation of Dell Indexed
 IO Token (type 0xD4) is implemented. This token is a vendor-extention
 SMBIOS structure which allows uniform access to manipulate the system CMOS
 to enable, disable, or otherwise manipulate normal BIOS functions or features.

Package: libsmbios-dev
Section: libdevel
Architecture: i386 amd64
Depends: libsmbios-c2 (= ${binary:Version}),
         ${misc:Depends}
Description: Provide access to (SM)BIOS information - development files
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be
 used as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken
 BIOS tables is provided.
 .
 To start out with, the focus is on the SMBIOS tables. Currently, full access
 to the SMBIOS table and its items is implemented. In the future, it will
 provide $PIR, MPTABLE, RCI, RBU, and other tables as well.
 .
 Additionally, access and manipulation of Dell Indexed IO Token (type 0xD4)
 is implemented. This token is a vendor-extention SMBIOS structure which
 allows uniform access to manipulate the system CMOS to enable, disable, or
 otherwise manipulate normal BIOS functions or features.

Package: smbios-utils
Section: admin
Provides: libsmbios-bin
Conflicts: libsmbios-bin
Replaces: libsmbios-bin
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-libsmbios,
         python3
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- utility binaries
 libsmbios aims towards providing access to as much BIOS information as
 possible. This package includes libsmbios' sample binaries/utilities.

Package: python3-libsmbios
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libsmbios-c2
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- Python libraries
 libsmbios aims towards providing access to as much BIOS information as
 possible. This package provides Python functions that can be imported
 into userspace programs.

Package: libsmbios-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: Access to (SM)BIOS information in an OS-indepent way (docs)
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be used
 as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken
 BIOS tables is provided. Currently, full access to the SMBIOS table and its
 items is implemented. Additionally, access and manipulation of Dell Indexed
 IO Token (type 0xD4) is implemented. This token is a vendor-extension
 SMBIOS structure which allows uniform access to manipulate the system CMOS
 to enable, disable, or otherwise manipulate normal BIOS functions or features.
